/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.sun.org.apache.xalan.internal.utils;

/**
 * Emulate two methods of java.util.Objects. We can't use JDK 7 new APIs in
 * JAXP because the jaxp repository is built before the jdk repository. This
 * is a temporary solution to simplify backports from JDK 8 to JDK 7.
 **/
public final class Objects {
    private Objects() {
        throw new IllegalAccessError();
    }

    public static int hashCode(final Object o) {
        return o == null ? 0 : o.hashCode();
    }

    public static boolean equals(Object one, Object two) {
        return one == two || one != null && one.equals(two);
    }

}
